PKGTOOL(8)

NOM
pkgtool - outil de maintenance des paquets logiciels.

SYNOPSIS
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfile ] [ --source_dir répertoire ] [ --target_dir répertoire ] [ --source_device périphérique ]

DESCRIPTION
pkgtool est un outil de maintenance de paquets piloté par un menu, fourni avec la distribution Slackware Linux. Il permet à l'utilisateur d'installer, enlever ou voir des paquets logiciels grâce à un système interactif. pkgtool peut aussi être utilisé pour ré-exécuter des scripts normalement exécutés à la fin d'une installation de Slackware grâce à un menu. C'est utile pour effectuer une reconfiguration basique (comme changer le type de souris).

OPTIONS
La plupart des utilisateurs n'auront besoin d'aucune option lors de l'exécution de pkgtool. En général celles-ci sont seulement utilisées quand pkgtool est exécuté lors de l'installation initiale. Sentez-vous libre de vous servir de ces options, mais soyez prudent.

--sets #A#B#C#
    Installer les séries de disquettes A, B, C. Distinguez les séries de disquettes par le symbole '#'.

--source_mounted
    Quand cette option est présente, pkgtool ne tentera pas de démonter et de remonter le périphérique source pour chaque disque.

--ignore_tagfiles
    Quand cette option est présente, pkgtool installe chaque paquet rencontré, peu importe ce que dit le fichier "tagfile".

--tagfile tagfile
    Cette option sert à spécifier dans la ligne de commande quel fichier "tagfile" utiliser pour l'installation.

--source_dir répertoire
    Option utilisée quand on installe de multiples paquets à partir d'un ensemble de disques. C'est le répertoire dans lequel les sous-répertoires sont trouvés pour chaque disque. Ceci n'est pas utilisé dans le cas d'une installation à partir de disquettes.

--target_dir répertoire
    Le répertoire racine cible (chemin vers la racine du système à installer). C'est "/" quand on installe depuis le disque dur, ou typiquement "/mnt" quand on installe à partir d'un disque d'installation.

--source_device périphérique
    Le périphérique source de l'installation. Cette option n'est pas utilisée si vous fournissez le paramètre --source_mounted Elle est généralement utilisée lors d'une installation à partir de disquettes, comme dans:
     --source_device /dev/fd0u1440 ou
     --source_device /dev/fd1h1200.

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

VOIR AUSSI
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)